//Shader file for cb_torch models:
//cb_torch1v1-4
//cb_torch2 - it's a chandelier in fact


//Regular flame1, used on cb_torch1v1
textures/cb_torch/cb_torch1
{
	qer_editorimage textures/cb_torch/cb_flame1_1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nosteps
	qer_trans 0.5
	q3map_surfacelight	1000	
{
		map textures/cb_torch/cb_flame1.tga
		animmap 12 textures/cb_torch/cb_flame1.tga textures/cb_torch/cb_flame2.tga textures/cb_torch/cb_flame3.tga textures/cb_torch/cb_flame4.tga textures/cb_torch/cb_flame5.tga textures/cb_torch/cb_flame6.tga textures/cb_torch/cb_flame7.tga textures/cb_torch/cb_flame8.tga
		rgbGen Vertex
		blendfunc add 
	}
}

//Regular flame2 used on cb_torch1v2
textures/cb_torch/cb_torch1_2
{
	qer_editorimage textures/cb_torch/cb_flame1_2.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nosteps
	qer_trans 0.5
	q3map_surfacelight	1000	
{
		map textures/cb_torch/cb_flame1.tga
		animmap 12 textures/cb_torch/cb_flame3.tga textures/cb_torch/cb_flame4.tga textures/cb_torch/cb_flame5.tga textures/cb_torch/cb_flame6.tga textures/cb_torch/cb_flame7.tga textures/cb_torch/cb_flame8.tga textures/cb_torch/cb_flame1.tga textures/cb_torch/cb_flame2.tga
		rgbGen Vertex
		blendfunc add 
	}
}

//Regular flame3 used on cb_torch1v3
textures/cb_torch/cb_torch1_3 
{
	qer_editorimage textures/cb_torch/cb_flame1_3.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nosteps
	qer_trans 0.5
	q3map_surfacelight	1000	
{
		map textures/cb_torch/cb_flame1.tga
		animmap 12 textures/cb_torch/cb_flame7.tga textures/cb_torch/cb_flame8.tga textures/cb_torch/cb_flame1.tga textures/cb_torch/cb_flame2.tga textures/cb_torch/cb_flame3.tga textures/cb_torch/cb_flame4.tga textures/cb_torch/cb_flame5.tga textures/cb_torch/cb_flame6.tga
		rgbGen Vertex
		blendfunc add 
	}
}

//Regular flame4 used on cb_torch1v4
textures/cb_torch/cb_torch1_4
{
	qer_editorimage textures/cb_torch/cb_flame1_4.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nosteps
	qer_trans 0.5
	q3map_surfacelight	1000	
{
		map textures/cb_torch/cb_flame1.tga
		animmap 12 textures/cb_torch/cb_flame5.tga textures/cb_torch/cb_flame6.tga textures/cb_torch/cb_flame7.tga textures/cb_torch/cb_flame8.tga textures/cb_torch/cb_flame1.tga textures/cb_torch/cb_flame2.tga textures/cb_torch/cb_flame3.tga textures/cb_torch/cb_flame4.tga
		rgbGen Vertex
		blendfunc add 
	}
}





//Somewhat brighter, used on cb_torch2

textures/cb_torch/cb_torch2
{
	qer_editorimage textures/cb_torch/cb_flame1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nosteps
	qer_trans 0.5
	q3map_surfacelight	2500	
{
		map textures/cb_torch/cb_flame1.tga
		animmap 12 textures/cb_torch/cb_flame1.tga textures/cb_torch/cb_flame2.tga textures/cb_torch/cb_flame3.tga textures/cb_torch/cb_flame4.tga textures/cb_torch/cb_flame5.tga textures/cb_torch/cb_flame6.tga textures/cb_torch/cb_flame7.tga textures/cb_torch/cb_flame8.tga
		rgbGen Vertex
		blendfunc add 
	}
}




//Blue crystal, transparent
//used on cb_torch2, so that's the blue one

textures/cb_torch/crystal_blue
{
	qer_editorimage textures/cb_torch/crystal_blue.jpg
	surfaceparm trans
	surfaceparm nosteps
	qer_trans 0.5
	{
		map textures/cb_torch/crystal_blue.jpg
		rgbGen Vertex
		blendfunc add 
	}
}


//Lanc
//Chain
textures/cb_torch/perl_chain
{
	qer_editorimage textures/cb_torch/cb_perlchain.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nosteps
	qer_trans 0.5
	{
		map textures/cb_torch/cb_perlchain.tga
		rgbGen Vertex
		alphaFunc GE128 
	}
}

//RED crystal, transparent
//used on cb_torch2, so that's the red one obviously
textures/cb_torch/crystal_red
{
	qer_editorimage textures/cb_torch/crystal_red.jpg
	surfaceparm trans
	surfaceparm nosteps
	qer_trans 0.5
	{
		map textures/cb_torch/crystal_red.jpg
		rgbGen Vertex
		blendfunc add 
	}
}